curl --request POST \
--url https://api.voxo.co/v2/admin/call-campaigns/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": 123,
"name": "<string>",
"tech": "VOICE",
"dateStart": "<string>",
"timeStart": "<string>",
"dateEnd": "<string>",
"timeEnd": "<string>",
"callerId": "<string>",
"recording": "yes",
"numbers": [
{
"number": "<string>",
"description": "<string>",
"field1": "<string>",
"field2": "<string>",
"field3": "<string>",
"field4": "<string>",
"field5": "<string>",
"field6": "<string>",
"field7": "<string>",
"field8": "<string>",
"field9": "<string>",
"disposition": "<string>"
}
],
"destinations": [
{
"id": 123,
"type": "<string>"
}
],
"timezone": "<string>",
"callFrequency": 123,
"matchDestinations": [
{
"id": 123,
"type": "<string>"
}
],
"notMatchDestinations": [
{
"id": 123,
"type": "<string>"
}
],
"enableVMDetect": 0.5,
"callHoursStart": "<string>",
"callHoursEnd": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/call-campaigns/"
payload = {
"tenantId": 123,
"name": "<string>",
"tech": "VOICE",
"dateStart": "<string>",
"timeStart": "<string>",
"dateEnd": "<string>",
"timeEnd": "<string>",
"callerId": "<string>",
"recording": "yes",
"numbers": [
{
"number": "<string>",
"description": "<string>",
"field1": "<string>",
"field2": "<string>",
"field3": "<string>",
"field4": "<string>",
"field5": "<string>",
"field6": "<string>",
"field7": "<string>",
"field8": "<string>",
"field9": "<string>",
"disposition": "<string>"
}
],
"destinations": [
{
"id": 123,
"type": "<string>"
}
],
"timezone": "<string>",
"callFrequency": 123,
"matchDestinations": [
{
"id": 123,
"type": "<string>"
}
],
"notMatchDestinations": [
{
"id": 123,
"type": "<string>"
}
],
"enableVMDetect": 0.5,
"callHoursStart": "<string>",
"callHoursEnd": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenantId: 123,
name: '<string>',
tech: 'VOICE',
dateStart: '<string>',
timeStart: '<string>',
dateEnd: '<string>',
timeEnd: '<string>',
callerId: '<string>',
recording: 'yes',
numbers: [
{
number: '<string>',
description: '<string>',
field1: '<string>',
field2: '<string>',
field3: '<string>',
field4: '<string>',
field5: '<string>',
field6: '<string>',
field7: '<string>',
field8: '<string>',
field9: '<string>',
disposition: '<string>'
}
],
destinations: [{id: 123, type: '<string>'}],
timezone: '<string>',
callFrequency: 123,
matchDestinations: [{id: 123, type: '<string>'}],
notMatchDestinations: [{id: 123, type: '<string>'}],
enableVMDetect: 0.5,
callHoursStart: '<string>',
callHoursEnd: '<string>'
})
};
fetch('https://api.voxo.co/v2/admin/call-campaigns/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenantId": 123,
"name": "<string>",
"type": "<string>",
"dateStart": "<string>",
"dateEnd": "<string>",
"callerId": "<string>",
"callDelay": 123,
"state": "<string>",
"lastrun": "2023-11-07T05:31:56Z",
"dialtimeout": 123,
"tech": "<string>",
"message": "<string>",
"timeStart": "<string>",
"timeEnd": "<string>",
"timezone": "<string>",
"callFrequency": 123,
"callHoursStart": "<string>",
"callHoursEnd": "<string>",
"recording": "<string>",
"numbers": [
{
"number": "<string>",
"description": "<string>",
"disposition": "<string>"
}
],
"destinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"enableVMDetect": 123,
"matchDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"notMatchDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Create Campaign
Create a new call campaign
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Tenant ID this campaign belongs to
Campaign name
3Campaign technology type
VOICE Start date (YYYY-MM-DD)
^([1-9]\d{3})-(0[1-9]|1[0-2])-(0[1-9]|[1-2]\d|3[0-1])$Start time (HH:MM)
^([01]\d|2[0-3]):([0-5]\d)$End date (YYYY-MM-DD)
^([1-9]\d{3})-(0[1-9]|1[0-2])-(0[1-9]|[1-2]\d|3[0-1])$End time (HH:MM)
^([01]\d|2[0-3]):([0-5]\d)$Caller ID phone number
^[1-9]\d{9}$Enable call recording (yes/no)
yes Phone numbers to call
Show child attributes
Show child attributes
Routing destinations on connect
Show child attributes
Show child attributes
IANA timezone identifier
Call frequency in seconds (minimum 10)
VM detect match destinations
Show child attributes
Show child attributes
VM detect no-match destinations
Show child attributes
Show child attributes
Enable voicemail detection (1 = yes, 0 = no)
0 <= x <= 1Calling hours start time (HH:MM)
^([01]\d|2[0-3]):([0-5]\d)$Calling hours end time (HH:MM)
^([01]\d|2[0-3]):([0-5]\d)$Initial campaign state
READY, PAUSED Campaign message
Response
Created campaign
Campaign ID
Tenant ID
Campaign name
Campaign type
Start date
End date
Caller ID phone number
Delay between calls in ms
Campaign state
Last run timestamp
Dial timeout in seconds
Technology type
Campaign message
Start time
End time
IANA timezone
Call frequency in seconds
Calling hours start
Calling hours end
Recording enabled (yes/no)
Campaign phone numbers
Show child attributes
Show child attributes
Routing destinations
Show child attributes
Show child attributes
VM detection enabled (1/0)
VM detect match destinations
Show child attributes
Show child attributes
VM detect no-match destinations
Show child attributes
Show child attributes
Was this page helpful?